/**
 * 整体概览  逻辑
 * 处理数据
 */

import { lscxTableData } from '../../data/table/overviewData';
import { keyValuePackage } from '../../dataPackage/inFrontOut';
import { getKeyValueOut, getStringOut } from '../../dataPackage/out';


/**绿色出行 */
export function getGreenTravel(req, res) {
    let excelData = lscxTableData();

    let ret:any = {};

    let cxfszbPackageData = keyValuePackage(excelData['出行方式占比'].dataList);
    ret['cxfszb'] = getKeyValueOut('出行方式占比', cxfszbPackageData);

    ret['lsjn'] = getStringOut("绿色节能", excelData['绿色节能'].dataList);

    let dtjnjpqsPackageData = keyValuePackage(excelData['地铁节能减排趋势'].dataList);
    ret['dtjnjpqs'] = getKeyValueOut('地铁节能减排趋势', dtjnjpqsPackageData);
    
    res.send(ret);
} 