/**
 * 整体概览  逻辑
 * 处理数据
 */

import { dtTableData } from '../../data/table/overviewData';
import { keyValuePackage } from '../../dataPackage/inFrontOut';
import { getKeyValueOut } from '../../dataPackage/out';


/**地图 */
export function getData(req, res) {
    let excelData = dtTableData();

    let ret:any = {};

    let jcsjPackageData = keyValuePackage(excelData['基础数据'].dataList);
    ret['jcsj'] = getKeyValueOut('基础数据', jcsjPackageData);

    let dtPackageData = keyValuePackage(excelData['历年建设里程列表'].dataList);
    ret['lnjslc'] = getKeyValueOut('历年建设里程列表', dtPackageData);


    res.send(ret);
} 